### Property

# Gio FilterInputStream:close-base-stream

since: 2.0

#### Declaration

    property close-base-stream: gboolean [ read, write, construct ]

#### Description

Whether the base stream should be closed when the filter stream is closed.

Type: | `gboolean`
Available since: | 2.0

Default value | TRUE
Getter method | `g_filter_input_stream_get_close_base_stream()`
Setter method | `g_filter_input_stream_set_close_base_stream()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no